/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.budget;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.JTextField;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.mangue.budget.EOCodeAnalytique;
import org.cocktail.mangue.modele.mangue.budget.EOConvention;
import org.cocktail.mangue.modele.mangue.budget.EOLolfNomenclatureDepense;
import org.cocktail.mangue.modele.mangue.budget.EOOrgan;
import org.cocktail.mangue.modele.mangue.individu.budget.EOPersBudgetAction;
import org.cocktail.mangue.modele.mangue.individu.budget.EOPersBudgetAnalytique;
import org.cocktail.mangue.modele.mangue.individu.budget.EOPersBudgetConvention;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class SaisieBudgetView extends javax.swing.JDialog {

    protected EODisplayGroup 	eod, eodLolf, eodAnalytique, eodConvention;
	protected ZEOTable 			myEOTable, myEOTableLolf, myEOTableAnalytique, myEOTableConvention;
	protected ZEOTableModel 	myTableModel, myTableModelLolf, myTableModelAnalytique, myTableModelConvention;
	protected TableSorter 		myTableSorter, myTableSorterLolf,myTableSorterAnalytique, myTableSorterConvention;
	private CellEditor 			myCellEditorLolf = new CellEditor(new JTextField());
	private CellEditor 			myCellEditorCodeAnalytique = new CellEditor(new JTextField());
	private CellEditor 			myCellEditorConvention = new CellEditor(new JTextField());
	private boolean 			useSifac;

    /** Creates new form TemplateJDialog */
    public SaisieBudgetView(java.awt.Frame parent, boolean modal, EODisplayGroup eod, EODisplayGroup eodLolf, 
    		EODisplayGroup eodAnalytique, EODisplayGroup eodConventions, boolean useSifac) {
        super(parent, modal);

        setUseSifac(useSifac);
        this.eod = eod;
        this.eodAnalytique = eodAnalytique;
        this.eodLolf = eodLolf;
        this.eodConvention = eodConventions;        
        
        initComponents();
        initGui();
    }

    public boolean isUseSifac() {
		return useSifac;
	}

	public void setUseSifac(boolean useSifac) {
		this.useSifac = useSifac;
	}

	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTableLbud = new javax.swing.JPanel();
        jPanel1 = new javax.swing.JPanel();
        viewTableLolf = new javax.swing.JPanel();
        btnAddAction = new javax.swing.JButton();
        lblLolf = new javax.swing.JLabel();
        jSeparator1 = new javax.swing.JSeparator();
        btnDelAction = new javax.swing.JButton();
        btnAnnuler = new javax.swing.JButton();
        btnValider = new javax.swing.JButton();
        panelCodeAnalytique = new javax.swing.JPanel();
        viewTableCodeAnalytique = new javax.swing.JPanel();
        btnDelCodeAnalytique = new javax.swing.JButton();
        btnAddCodeAnalytique = new javax.swing.JButton();
        jLabel5 = new javax.swing.JLabel();
        jSeparator2 = new javax.swing.JSeparator();
        panelConventions = new javax.swing.JPanel();
        viewTableConvention = new javax.swing.JPanel();
        btnDelConvention = new javax.swing.JButton();
        btnAddConvention = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        jSeparator3 = new javax.swing.JSeparator();
        jLabel7 = new javax.swing.JLabel();
        tfFiltre = new javax.swing.JTextField();
        jPanel4 = new javax.swing.JPanel();
        tfDebut = new javax.swing.JTextField();
        tfTypeCredit = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        tfFin = new javax.swing.JTextField();
        btnGetTypeCredit = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        tfPourcentage = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        lblMessage = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        lblLbud = new javax.swing.JLabel();
        panelElement = new javax.swing.JPanel();
        btnGetElement = new javax.swing.JButton();
        btnDelElement = new javax.swing.JButton();
        tfLibelleElement = new javax.swing.JTextField();
        jLabel9 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Saisie des données budgétaires");

        viewTableLbud.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        viewTableLbud.setLayout(new java.awt.BorderLayout());

        jPanel1.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

        viewTableLolf.setLayout(new java.awt.BorderLayout());

        lblLolf.setFont(new java.awt.Font("Tahoma", 1, 11));
        lblLolf.setText("DESTINATIONS LOLF");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(lblLolf, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 602, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                        .add(viewTableLolf, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 574, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(btnAddAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnDelAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
            .add(jSeparator1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 622, Short.MAX_VALUE)
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(lblLolf)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(btnAddAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTableLolf, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 105, Short.MAX_VALUE))
                .addContainerGap())
        );

        btnAnnuler.setText("Annuler");
        btnAnnuler.setToolTipText("Annuler la saisie");
        btnAnnuler.setFocusable(false);

        btnValider.setText("Valider");
        btnValider.setToolTipText("Valider les informations budgétaires saisies");
        btnValider.setFocusable(false);

        panelCodeAnalytique.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

        viewTableCodeAnalytique.setLayout(new java.awt.BorderLayout());

        jLabel5.setText("CODES ANALYTIQUES");

        org.jdesktop.layout.GroupLayout panelCodeAnalytiqueLayout = new org.jdesktop.layout.GroupLayout(panelCodeAnalytique);
        panelCodeAnalytique.setLayout(panelCodeAnalytiqueLayout);
        panelCodeAnalytiqueLayout.setHorizontalGroup(
            panelCodeAnalytiqueLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelCodeAnalytiqueLayout.createSequentialGroup()
                .addContainerGap()
                .add(panelCodeAnalytiqueLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 602, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, panelCodeAnalytiqueLayout.createSequentialGroup()
                        .add(viewTableCodeAnalytique, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 574, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(panelCodeAnalytiqueLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, btnAddCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnDelCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
            .add(jSeparator2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 622, Short.MAX_VALUE)
        );
        panelCodeAnalytiqueLayout.setVerticalGroup(
            panelCodeAnalytiqueLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelCodeAnalytiqueLayout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel5)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSeparator2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(panelCodeAnalytiqueLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(panelCodeAnalytiqueLayout.createSequentialGroup()
                        .add(btnAddCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTableCodeAnalytique, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 77, Short.MAX_VALUE))
                .addContainerGap())
        );

        panelConventions.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

        viewTableConvention.setLayout(new java.awt.BorderLayout());

        jLabel6.setText("CONVENTIONS");

        org.jdesktop.layout.GroupLayout panelConventionsLayout = new org.jdesktop.layout.GroupLayout(panelConventions);
        panelConventions.setLayout(panelConventionsLayout);
        panelConventionsLayout.setHorizontalGroup(
            panelConventionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelConventionsLayout.createSequentialGroup()
                .addContainerGap()
                .add(panelConventionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel6, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 602, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, panelConventionsLayout.createSequentialGroup()
                        .add(viewTableConvention, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 574, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(panelConventionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(btnDelConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnAddConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
            .add(jSeparator3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 622, Short.MAX_VALUE)
        );
        panelConventionsLayout.setVerticalGroup(
            panelConventionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelConventionsLayout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel6)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSeparator3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(panelConventionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(panelConventionsLayout.createSequentialGroup()
                        .add(btnAddConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTableConvention, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 62, Short.MAX_VALUE))
                .addContainerGap())
        );

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel7.setText("Recherche ?");

        jPanel4.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        tfDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDebut.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfDebutActionPerformed(evt);
            }
        });

        tfTypeCredit.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTypeCredit.setEnabled(false);
        tfTypeCredit.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfTypeCreditActionPerformed(evt);
            }
        });

        jLabel3.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Type Crédit :");

        tfFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFin.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfFinActionPerformed(evt);
            }
        });

        btnGetTypeCredit.setToolTipText("Sélectionner un type de crédit");

        jLabel1.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel1.setText("Pourcentage");

        jLabel8.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel8.setText("PERIODE DU");

        tfPourcentage.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfPourcentage.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfPourcentageActionPerformed(evt);
            }
        });

        jLabel2.setText("AU");

        org.jdesktop.layout.GroupLayout jPanel4Layout = new org.jdesktop.layout.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 72, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 76, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel2)
                .add(7, 7, 7)
                .add(tfFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 78, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(jLabel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 86, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfPourcentage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(294, 294, 294)
                .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 110, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 57, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnGetTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnGetTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(tfTypeCredit, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel1)
                        .add(tfPourcentage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(tfFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel3))
                    .add(jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel8)
                        .add(tfDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel2)))
                .addContainerGap())
        );

        lblMessage.setFont(new java.awt.Font("Tahoma", 1, 12));
        lblMessage.setForeground(new java.awt.Color(255, 51, 51));
        lblMessage.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblMessage.setText("jLabel9");

        jLabel10.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel10.setText("Ligne budgétaire :");

        lblLbud.setFont(new java.awt.Font("Tahoma", 0, 13));

        btnGetElement.setToolTipText("Sélectionner un type de crédit");

        btnDelElement.setToolTipText("Sélectionner un type de crédit");

        tfLibelleElement.setEnabled(false);
        tfLibelleElement.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfLibelleElementActionPerformed(evt);
            }
        });

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel9.setText("Elément PAYE :");

        org.jdesktop.layout.GroupLayout panelElementLayout = new org.jdesktop.layout.GroupLayout(panelElement);
        panelElement.setLayout(panelElementLayout);
        panelElementLayout.setHorizontalGroup(
            panelElementLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelElementLayout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel9, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 112, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfLibelleElement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 432, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnGetElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnDelElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        panelElementLayout.setVerticalGroup(
            panelElementLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelElementLayout.createSequentialGroup()
                .addContainerGap()
                .add(panelElementLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(panelElementLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel9)
                        .add(tfLibelleElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(btnDelElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnGetElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 79, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFiltre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 123, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(viewTableLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 314, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 120, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(lblLbud, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 498, Short.MAX_VALUE))
                            .add(panelElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, panelCodeAnalytique, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, panelConventions, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(186, 186, 186)
                        .add(lblMessage, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 501, Short.MAX_VALUE)
                        .add(33, 33, 33)
                        .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .add(jPanel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel7)
                    .add(tfFiltre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel10)
                    .add(lblLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(panelElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(panelCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(panelConventions, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTableLbud, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 523, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(3, 3, 3)
                        .add(lblMessage)))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-980)/2, (screenSize.height-677)/2, 980, 677);
    }// </editor-fold>//GEN-END:initComponents

private void tfPourcentageActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfPourcentageActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_tfPourcentageActionPerformed

private void tfDebutActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfDebutActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfDebutActionPerformed

private void tfFinActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfFinActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfFinActionPerformed

private void tfTypeCreditActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfTypeCreditActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfTypeCreditActionPerformed

private void tfLibelleElementActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfLibelleElementActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfLibelleElementActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                SaisieBudgetView dialog = new SaisieBudgetView(new javax.swing.JFrame(), true, null, null, null, null, true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAddAction;
    private javax.swing.JButton btnAddCodeAnalytique;
    private javax.swing.JButton btnAddConvention;
    private javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnDelAction;
    private javax.swing.JButton btnDelCodeAnalytique;
    private javax.swing.JButton btnDelConvention;
    private javax.swing.JButton btnDelElement;
    private javax.swing.JButton btnGetElement;
    private javax.swing.JButton btnGetTypeCredit;
    private javax.swing.JButton btnValider;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JSeparator jSeparator3;
    private javax.swing.JLabel lblLbud;
    private javax.swing.JLabel lblLolf;
    private javax.swing.JLabel lblMessage;
    private javax.swing.JPanel panelCodeAnalytique;
    private javax.swing.JPanel panelConventions;
    private javax.swing.JPanel panelElement;
    private javax.swing.JTextField tfDebut;
    private javax.swing.JTextField tfFiltre;
    private javax.swing.JTextField tfFin;
    private javax.swing.JTextField tfLibelleElement;
    private javax.swing.JTextField tfPourcentage;
    private javax.swing.JTextField tfTypeCredit;
    private javax.swing.JPanel viewTableCodeAnalytique;
    private javax.swing.JPanel viewTableConvention;
    private javax.swing.JPanel viewTableLbud;
    private javax.swing.JPanel viewTableLolf;
    // End of variables declaration//GEN-END:variables


	/**
	 * 
	 */
    private void initGui() {
        
    	btnValider.setIcon(CocktailIcones.ICON_VALID);
        btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);
        btnGetTypeCredit.setIcon(CocktailIcones.ICON_SELECT_16);
        btnDelCodeAnalytique.setIcon(CocktailIcones.ICON_DELETE);
        btnDelConvention.setIcon(CocktailIcones.ICON_DELETE);
        btnAddAction.setIcon(CocktailIcones.ICON_ADD);
        btnDelAction.setIcon(CocktailIcones.ICON_DELETE);
        btnAddCodeAnalytique.setIcon(CocktailIcones.ICON_ADD);
        btnAddConvention.setIcon(CocktailIcones.ICON_ADD);
        btnGetElement.setIcon(CocktailIcones.ICON_SELECT_16);
        btnDelElement.setIcon(CocktailIcones.ICON_DELETE);

        Vector myCols = new Vector();

    	ZEOTableModelColumn	col = new ZEOTableModelColumn(eod, EOOrgan.ORG_UB_KEY, (isUseSifac())?"C.F.":"UB", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOOrgan.ORG_CR_KEY, (isUseSifac())?"C.C.":"CR", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOOrgan.ORG_SOUSCR_KEY, (isUseSifac())?"EOTP":"SOUS CR", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);

		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(new Color(230, 230, 230));
		myEOTable.setSelectionBackground(new Color(127,155,165));
		myEOTable.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableLbud.setLayout(new BorderLayout());
		viewTableLbud.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableLbud.removeAll();
		viewTableLbud.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

        myCols = new Vector();

    	col = new ZEOTableModelColumn(eodLolf, EOPersBudgetAction.LOLF_NOMENCLATURE_DEPENSE_KEY+"."+EOLolfNomenclatureDepense.LOLF_CODE_KEY, "Code", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodLolf, EOPersBudgetAction.LOLF_NOMENCLATURE_DEPENSE_KEY+"."+EOLolfNomenclatureDepense.LOLF_LIBELLE_KEY, "Libellé", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodLolf, EOPersBudgetAction.POURCENTAGE_KEY, "%", 40);
    	col.setAlignment(SwingConstants.RIGHT);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		col.setFormatEdit(CocktailFormats.FORMAT_DECIMAL);
		col.setTableCellEditor(myCellEditorLolf);			
		col.setEditable(true);    	
		myCols.add(col);


		myTableModelLolf = new ZEOTableModel(eodLolf, myCols);
		myTableSorterLolf = new TableSorter(myTableModelLolf);

		myEOTableLolf = new ZEOTable(myTableSorterLolf);
		//myEOTableLolf.addListener(myListenerContrat);
		myTableSorterLolf.setTableHeader(myEOTableLolf.getTableHeader());		

		myEOTableLolf.setBackground(new Color(230, 230, 230));
		myEOTableLolf.setSelectionBackground(new Color(127,155,165));
		myEOTableLolf.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableLolf.setLayout(new BorderLayout());
		viewTableLolf.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableLolf.removeAll();
		viewTableLolf.add(new JScrollPane(myEOTableLolf), BorderLayout.CENTER);

		
        myCols = new Vector();

    	col = new ZEOTableModelColumn(eodAnalytique, EOPersBudgetAnalytique.CODE_ANALYTIQUE_KEY+"."+EOCodeAnalytique.CAN_CODE_KEY, "Code", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodAnalytique, EOPersBudgetAnalytique.CODE_ANALYTIQUE_KEY+"."+EOCodeAnalytique.CAN_LIBELLE_KEY, "Libellé", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodAnalytique, EOPersBudgetAnalytique.POURCENTAGE_KEY, "%", 40);
    	col.setAlignment(SwingConstants.RIGHT);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		col.setFormatEdit(CocktailFormats.FORMAT_DECIMAL);
		col.setTableCellEditor(myCellEditorLolf);			
		col.setEditable(true);    	myCols.add(col);


		myTableModelAnalytique = new ZEOTableModel(eodAnalytique, myCols);
		myTableSorterAnalytique = new TableSorter(myTableModelAnalytique);

		myEOTableAnalytique = new ZEOTable(myTableSorterAnalytique);
		myTableSorterAnalytique.setTableHeader(myEOTableAnalytique.getTableHeader());		

		myEOTableAnalytique.setBackground(new Color(230, 230, 230));
		myEOTableAnalytique.setSelectionBackground(new Color(127,155,165));
		myEOTableAnalytique.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		
		viewTableCodeAnalytique.setLayout(new BorderLayout());
		viewTableCodeAnalytique.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableCodeAnalytique.removeAll();
		viewTableCodeAnalytique.add(new JScrollPane(myEOTableAnalytique), BorderLayout.CENTER);

        myCols = new Vector();

    	col = new ZEOTableModelColumn(eodConvention, EOPersBudgetConvention.CONVENTION_KEY+"."+EOConvention.CON_INDEX_KEY, "Code", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodConvention, EOPersBudgetConvention.CONVENTION_KEY+"."+EOConvention.CON_REFERENCE_EXTERNE_KEY, "Libellé", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodConvention, EOPersBudgetConvention.POURCENTAGE_KEY, "%", 40);
    	col.setAlignment(SwingConstants.RIGHT);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		col.setFormatEdit(CocktailFormats.FORMAT_DECIMAL);
		col.setTableCellEditor(myCellEditorLolf);			
		col.setEditable(true);    	myCols.add(col);


		myTableModelConvention = new ZEOTableModel(eodConvention, myCols);
		myTableSorterConvention = new TableSorter(myTableModelConvention);

		myEOTableConvention = new ZEOTable(myTableSorterConvention);
		myTableSorterConvention.setTableHeader(myEOTableConvention.getTableHeader());		

		myEOTableConvention.setBackground(new Color(230, 230, 230));
		myEOTableConvention.setSelectionBackground(new Color(127,155,165));
		myEOTableConvention.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		
		viewTableConvention.setLayout(new BorderLayout());
		viewTableConvention.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableConvention.removeAll();
		viewTableConvention.add(new JScrollPane(myEOTableConvention), BorderLayout.CENTER);

    }
    
	private final class CellEditor extends ZEOTableModelColumn.ZEONumFieldTableCellEditor {

		private  JTextField myTextField;

		public CellEditor(JTextField textField) {
			super(textField, CocktailFormats.FORMAT_DECIMAL);
		}

		public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column) {

			myTextField = (JTextField) super.getTableCellEditorComponent(table, value, isSelected, row, column);

			if (column <2)
				return null;
			else	{                  	
				myTextField.setBorder(BorderFactory.createLineBorder(Color.RED));
				myTextField.setEditable(true);            
			}            	
			return myTextField;
		}
	}

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public ZEOTable getMyEOTableLolf() {
		return myEOTableLolf;
	}

	public void setMyEOTableLolf(ZEOTable myEOTableLolf) {
		this.myEOTableLolf = myEOTableLolf;
	}

	public javax.swing.JButton getBtnAddAction() {
		return btnAddAction;
	}

	public void setBtnAddAction(javax.swing.JButton btnAddAction) {
		this.btnAddAction = btnAddAction;
	}

	public javax.swing.JButton getBtnAddCodeAnalytique() {
		return btnAddCodeAnalytique;
	}

	public void setBtnAddCodeAnalytique(javax.swing.JButton btnAddCodeAnalytique) {
		this.btnAddCodeAnalytique = btnAddCodeAnalytique;
	}

	public javax.swing.JButton getBtnAddConvention() {
		return btnAddConvention;
	}

	public void setBtnAddConvention(javax.swing.JButton btnAddConvention) {
		this.btnAddConvention = btnAddConvention;
	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnDelAction() {
		return btnDelAction;
	}

	public void setBtnDelAction(javax.swing.JButton btnDelAction) {
		this.btnDelAction = btnDelAction;
	}

	public javax.swing.JButton getBtnDelCodeAnalytique() {
		return btnDelCodeAnalytique;
	}

	public void setBtnDelCodeAnalytique(javax.swing.JButton btnDelCodeAnalytique) {
		this.btnDelCodeAnalytique = btnDelCodeAnalytique;
	}

	public javax.swing.JButton getBtnDelConvention() {
		return btnDelConvention;
	}

	public void setBtnDelConvention(javax.swing.JButton btnDelConvention) {
		this.btnDelConvention = btnDelConvention;
	}

	public javax.swing.JButton getBtnGetTypeCredit() {
		return btnGetTypeCredit;
	}

	public void setBtnGetTypeCredit(javax.swing.JButton btnGetTypeCredit) {
		this.btnGetTypeCredit = btnGetTypeCredit;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JTextField getTfDebut() {
		return tfDebut;
	}

	public void setTfDebut(javax.swing.JTextField tfDebut) {
		this.tfDebut = tfDebut;
	}

	public javax.swing.JTextField getTfFin() {
		return tfFin;
	}

	public void setTfFin(javax.swing.JTextField tfFin) {
		this.tfFin = tfFin;
	}

	public javax.swing.JTextField getTfPourcentage() {
		return tfPourcentage;
	}

	public void setTfPourcentage(javax.swing.JTextField tfPourcentage) {
		this.tfPourcentage = tfPourcentage;
	}

	public javax.swing.JTextField getTfTypeCredit() {
		return tfTypeCredit;
	}

	public void setTfTypeCredit(javax.swing.JTextField tfTypeCredit) {
		this.tfTypeCredit = tfTypeCredit;
	}

	public ZEOTable getMyEOTableAnalytique() {
		return myEOTableAnalytique;
	}

	public void setMyEOTableAnalytique(ZEOTable myEOTableAnalytique) {
		this.myEOTableAnalytique = myEOTableAnalytique;
	}

	public ZEOTable getMyEOTableConvention() {
		return myEOTableConvention;
	}

	public void setMyEOTableConvention(ZEOTable myEOTableConvention) {
		this.myEOTableConvention = myEOTableConvention;
	}

	public javax.swing.JTextField getTfFiltre() {
		return tfFiltre;
	}

	public void setTfFiltre(javax.swing.JTextField tfFiltre) {
		this.tfFiltre = tfFiltre;
	}

	public ZEOTableModel getMyTableModelLolf() {
		return myTableModelLolf;
	}

	public void setMyTableModelLolf(ZEOTableModel myTableModelLolf) {
		this.myTableModelLolf = myTableModelLolf;
	}

	public ZEOTableModel getMyTableModelAnalytique() {
		return myTableModelAnalytique;
	}

	public void setMyTableModelAnalytique(ZEOTableModel myTableModelAnalytique) {
		this.myTableModelAnalytique = myTableModelAnalytique;
	}

	public ZEOTableModel getMyTableModelConvention() {
		return myTableModelConvention;
	}

	public void setMyTableModelConvention(ZEOTableModel myTableModelConvention) {
		this.myTableModelConvention = myTableModelConvention;
	}

	public javax.swing.JLabel getLblMessage() {
		return lblMessage;
	}

	public void setLblMessage(javax.swing.JLabel lblMessage) {
		this.lblMessage = lblMessage;
	}


	public javax.swing.JButton getBtnGetElement() {
		return btnGetElement;
	}

	public void setBtnGetElement(javax.swing.JButton btnGetElement) {
		this.btnGetElement = btnGetElement;
	}

	public javax.swing.JTextField getTfLibelleElement() {
		return tfLibelleElement;
	}

	public void setTfLibelleElement(javax.swing.JTextField tfLibelleElement) {
		this.tfLibelleElement = tfLibelleElement;
	}

	public javax.swing.JButton getBtnDelElement() {
		return btnDelElement;
	}

	public void setBtnDelElement(javax.swing.JButton btnDelElement) {
		this.btnDelElement = btnDelElement;
	}

	public javax.swing.JLabel getLblLbud() {
		return lblLbud;
	}

	public void setLblLbud(javax.swing.JLabel lblLbud) {
		this.lblLbud = lblLbud;
	}

	public javax.swing.JPanel getPanelElement() {
		return panelElement;
	}

	public void setPanelElement(javax.swing.JPanel panelElement) {
		this.panelElement = panelElement;
	}

	public javax.swing.JPanel getPanelCodeAnalytique() {
		return panelCodeAnalytique;
	}

	public void setPanelCodeAnalytique(javax.swing.JPanel panelCodeAnalytique) {
		this.panelCodeAnalytique = panelCodeAnalytique;
	}

	public javax.swing.JPanel getPanelConventions() {
		return panelConventions;
	}

	public void setPanelConventions(javax.swing.JPanel panelConventions) {
		this.panelConventions = panelConventions;
	}

	public javax.swing.JLabel getLblLolf() {
		return lblLolf;
	}

	public void setLblLolf(javax.swing.JLabel lblLolf) {
		this.lblLolf = lblLolf;
	}

}